> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Expose entities to assistants



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/entities/expose
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/entities/expose:
    post:
      tags:
        - Entities & States
      summary: Expose entities to assistants
      operationId: postV1EntitiesExpose
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                entity_ids:
                  type: array
                  items:
                    type: string
                assistants:
                  type: array
                  items:
                    type: string
                should_expose:
                  type: boolean
              required:
                - entity_ids
                - assistants
                - should_expose
        required: true
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````